Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 737 - /etc/localtime can it be removed
Summary: /etc/localtime can it be removed
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: glibc
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-08 00:30 UTC by stewart
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-01-17 20:27:52 UTC


Attachments (Terms of Use)

Description stewart 1999-01-08 00:30:15 UTC
In previous versions of Red Hat, glibc-2.0 /etc/localtime
was not included in the glibc rpm.  Can it be removed from
glibc-2.1?  In the past /etc/localtime was set after an
install, by some funky app.  Is this behaviour changing,
with rawhide?  I've never actually run the rawhide
installer.

It is really anoying from my point of view, when I'll update
glibc a couple of times a week, on a number of machines...

Comment 1 Jeff Johnson 1999-01-14 17:24:59 UTC
glibc in Raw Hide now marks /etc/localtime as
	%config(noremove)	/etc/localtime
which should
	1) install /etc/localtime if the file doesn't exi8st
	2) install /etc/localtime.rpmnew if /etc/localtime exists

Please reopen this bug (but change the component to rpm) if the
file /etc/localtime is not being installed as described above.

Comment 2 stewart 1999-01-15 23:49:59 UTC
Never mind, sorry.  I used the wrong version of rpm when building
glibc.


Note You need to log in before you can comment on or make changes to this bug.